Bug 393571 - Missing icons
Missing icons
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
noarch Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 22:57 EST by Juha Leppänen
Modified: 2008-05-28 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 15:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juha Leppänen 2007-11-20 22:57:16 EST
Description of problem:

Applications/System Tools/Software Updater icon missing.
Missing pixmaps for pirut and pup in pirut rpm.
I checked older rpm and it had for example
and the current rpm is missing those png files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2007-11-21 09:42:12 EST
We're not using the duplicated icons anymore and should just be using the images
from the icon theme.  What icon theme are you using?
Comment 2 Juha Leppänen 2007-11-21 18:44:59 EST

I'm using the default Fedora theme with Fedora icon theme.
I checked that Software Updater (pup?, pirut?) does not
have a icon on any of the icon themes I have.
On other bug reports I reported about other missing icons
for kooka, krdc, kpalmdoc, kandy, kttsmgr
the icons are missing for Fedora, Crux, GNOME, HighContrast,
HighContrastInverse, LowContrast, Mist and Monochrome icon theme
(using default Fedora theme). Bluecurve, Clearlooks, Crystal SVG and
HighContrast-SVG are OK, except for the Software Updater icon.
Comment 3 Jeremy Katz 2007-11-21 18:52:03 EST
The icons being used for pup and pirut should be system-software-updater and
system-software-installer, respectively.  For which there is an icon in the
Fedora icon theme. 
Comment 4 Juha Leppänen 2007-11-22 09:37:54 EST
$ cat /usr/share/applications/pirut.desktop
Exec=/usr/bin/getproxy /usr/bin/pirut

Add/Remove Software icon is visible right under Applications menu.
So pirut icon is OK. I did not know for sure if the missing icon for 
Software Updater was for pup or pirut.

$ cat /usr/share/applications/pup.desktop 
Exec=/usr/bin/getproxy /usr/bin/pup

But pup icon not available.

I have installed

$ rpm -qa | grep theme
$ rpm -qa | grep edora

$ rpm -qil gnome-icon-theme | grep software

$ rpm -qil hicolor-icon-theme | grep software

$ rpm -qil gnome-themes | grep software

I think this pup icon went missing after some update recently.
Comment 5 Juha Leppänen 2008-04-14 20:16:38 EDT
I'm using default Fedora theme (with Fedora icon theme).
All packages uptodate.

$ cat /usr/share/applications/pup.desktop | grep Icon

So the default theme is missing icon for system-software-update.

Should this bug be reassigned to gnome-icon-theme?

Comment 6 Bug Zapper 2008-05-14 11:05:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.